
<div class="row row-head">
  <div class="col">
    <h2 class="title">Users Management</h2>
  </div>
  <div class="col text-right">
    <button type="button" class="btn btn-primary mt-3" (click)="createNew()">
      <i class="fa fa-plus"></i>
      New User
    </button>
  </div>
</div>
<div class="row">
  <div class="col">
    <div class="table-responsive">
      <form (submit)="saveQuote()">
        <table class="table">
          <thead>
            <tr>
              <th>
                Id
              </th>
              <th>
                Username
              </th>
              <th>
                Full Name
              </th>
              <th>
                Actions
              </th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of users">
              <td>
                {{item.id}}
              </td>
              <td>
                {{item.username}}
              </td>
              <td>
                {{item.firstName}}
                {{item.lastName}}
              </td>
              
              <td class="action-btns">
                <button type="button" class="btn btn-info btn-sm" (click)="editItem(item)">
                  <i class="fa fa-edit"></i>
                </button>
                <button type="button" class="btn btn-danger btn-sm" (click)="deleteShow(item)">
                  <i class="fa fa-trash"></i>
                </button>
              </td>
            </tr>
          </tbody>
        </table>

      </form>
    </div>
  </div>
</div>
<div className="row">
  <div className="col">
    <ul class="pagination">
      <li *ngFor="let p of pages" class="page-item {{(currentPage == p ? 'active' : '')}}">
        <a class="page-link" href="javascript:;" (click)="goToPage(p)">{{p}}</a>
      </li>
    </ul>
  </div>
</div>


<div class="modal fade {{(createMode ? 'modal-show' : '')}}" role="dialog">
  <div class="modal-dialog" style="max-width:500px!important;">
    <form>
      <div class="modal-content">
        <div class="modal-body">
          <div class="alert alert-danger" *ngIf="errShow">{{errText}}</div>
          <div>
            <div class="form-group">
              <label for="txtusername">Username</label>
              <input type="text" class="form-control" name="username" id="txtusername" [(ngModel)]="model.username" />
            </div>
            <div class="form-group">
              <label for="txtpass">
                Password
                <span *ngIf="editId > 0" style="font-size:11px; display:inline-block">Fill the password if you want to change it!</span>
              </label>
              <input type="password" class="form-control" name="pass" id="txtpass" [(ngModel)]="model.password"/>
            </div>
            <div class="form-group" *ngIf="editId == 0">
              <label for="txtrepass">Confirm Password</label>
              <input type="password" class="form-control" name="repass" id="txtrepass" [(ngModel)]="model.repass"/>
            </div>
            <div class="form-group">
              <label for="txtfname">First Name</label>
              <input type="text" class="form-control" name="fname" id="txtfname" [(ngModel)]="model.firstName"/>
            </div>
            <div class="form-group">
              <label for="txtlname">Last Name</label>
              <input type="text" class="form-control" name="lname" id="txtlname" [(ngModel)]="model.lastName"/>
            </div>
          </div>
        </div>
        <div class="modal-footer" align="right">
          <button type="button" class="btn btn-success" (click)="saveUser()" style="width:150px;">
            Save User
          </button>
          <button type="button" class="btn btn-secondary" (click)="createCancel()">
            Cancel
          </button>
        </div>
      </div>
    </form>
  </div>
</div>


<div class="modal fade {{(deleteModalShow ? 'modal-show' : '')}}" role="dialog">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-body">
        <p>Are you sure you want to delete this user?</p>
        <blockquote>
          <p>{{deleteSelectedItem != null ? deleteSelectedItem.firstName + " " + deleteSelectedItem.lastName : ""}}</p>
        </blockquote>
      </div>
      <div class="modal-footer" align="right">
        <button type="button" class="btn btn-danger" (click)="deleteQuote()" style="width:200px;">
          <span *ngIf="!deleting">Confirm And Delete</span>
          <i *ngIf="deleting" class="fa fa-spin fa-spinner"></i>
        </button>
        <button type="button" class="btn btn-secondary" (click)="closeModals()">
          Cancel
        </button>
      </div>
    </div>
  </div>
</div>
